#ifndef LIBSARIA_INDEX_H
#define LIBSARIA_INDEX_H

#include <libsaria/track.h>

namespace libsaria
{

	namespace index
	{

		void add_track(libsaria::Track *);
		void filter(string &);
		void refresh();
		bool is_visible(sid_t &);
		bool is_filtered();
		unsigned int size();
		sid_t rand();
		void print_stats();

	}; /* Namespace: index */

}; /* Namespace: libsaria */
#endif /* LIBSARIA_INDEX_H */
