
#include <libsaria/track.h>
#include <libsaria/library.h>
#include "list.h"

#include <list>
using namespace std;

static list<libsaria::Track *>::iterator it;

namespace libsaria
{
	namespace library
	{

		void iter::reset()
		{
			it = track_list.begin();
		}

		libsaria::Track *iter::next()
		{
			libsaria::Track *track = *it;
			it++;
			return track;
		}

		bool iter::end()
		{
			return it == track_list.end();
		}

	} /* Namespace: library */
}; /* Namespace: libsaria */
